Bug 240652 - Review Request: ocaml-pcre - Perl compatibility regular expressions (PCRE) for OCaml
Summary: Review Request: ocaml-pcre - Perl compatibility regular expressions (PCRE) fo...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-19 12:45 UTC by Richard W.M. Jones
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 17:55:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Richard W.M. Jones 2007-05-19 12:45:17 UTC
Spec URL: http://annexia.org/tmp/ocaml-pcre.spec
SRPM URL: http://annexia.org/tmp/ocaml-pcre-5.11.4-1.src.rpm
Description:
PCRE-OCaml is a wrapper around the popular PCRE library.  It is fairly
fundamental as lots of OCaml libs and programs depend on it.

Comment 1 Richard W.M. Jones 2007-05-25 17:34:32 UTC
Updated SRPM and Spec files:

http://annexia.org/tmp/ocaml-pcre.spec
http://annexia.org/tmp/ocaml-pcre-5.11.4-2.fc6.src.rpm

Note! These depend on the ocaml find-requires and find-provides scripts.  See
here: https://www.redhat.com/archives/fedora-devel-list/2007-May/msg01693.html

Comment 2 Richard W.M. Jones 2007-05-26 13:31:42 UTC
Updated SRPM and Spec files:

http://annexia.org/tmp/ocaml-pcre.spec
http://annexia.org/tmp/ocaml-pcre-5.11.4-3.fc6.src.rpm

I updated these so that it puts the stub library in stublibs.  It also removes
the need for the two patches from Debian which were in earlier versions.

Comment 3 Richard W.M. Jones 2007-06-02 14:14:05 UTC
Updated SRPM and Spec files:

http://annexia.org/tmp/ocaml-pcre.spec
http://annexia.org/tmp/ocaml-pcre-5.11.4-4.src.rpm

These handle bytecode-only architectures.

Comment 4 Richard W.M. Jones 2007-06-11 19:51:59 UTC
Updated SRPM and Spec files:

http://annexia.org/tmp/ocaml/ocaml-pcre.spec
http://annexia.org/tmp/ocaml/ocaml-pcre-5.11.4-5.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.


Comment 5 Xavier Lamien 2007-07-25 21:35:41 UTC
Will start at tomorrow

Comment 6 Xavier Lamien 2007-07-27 03:34:05 UTC
=== REQUIRED ITEMS ===

 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package.
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully builds into binary rpms on at least one
        supported architecture.
 [ CHECK ] Tested on: Mock x86_64 [FC-devel]

 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
 [ OK ] License type: LGPL
 [ OK ] The source package includes the text of the license(s).
 [ OK ] Spec file is legible and written in American English.
 [ SKIP ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ SKIP ] ldconfig called in %post and %postun if required.
 [ Ok ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ CHECK ] Package uses nothing in %doc for runtime.
 [ SKIP] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.

According to OCaml Packaging Guideline:
 
 [ OK ] OCaml modules / libs should be named ocaml-foo.
 [ OK ] The spec file should still build bytecode libraries and binaries.
 [ OK ] Should Test if the native compiler is present.
 [ OK ] main package should contain files matching all files which're mentioned    
        in OCaml guideline if present.
 [ OK ] -devel sub-package Should contains all files which're mentioned in OCaml
       guidelines if present.



 [ ? ] Rpmlint output:

 * Silent on SRPM and -devel packages.

 * From RPM (main package):
W: ocaml-pcre devel-file-in-non-devel-package /usr/lib64/ocaml/pcre/pcre.cmi
W: ocaml-pcre unstripped-binary-or-object /usr/lib64/ocaml/stublibs/dllpcre_stubs.so

This above can be ignored accroding to the OCaml packaging guideline



==========
*APPROVED*
==========

Comment 7 Richard W.M. Jones 2007-08-01 10:31:56 UTC
New Package CVS Request
=======================
Package Name: ocaml-pcre
Short Description: Perl compatibility regular expressions (PCRE) for OCaml
Owners: rjones@redhat.com
Branches: F-7
InitialCC: lxtnow@gmail.com,rjones@redhat.com


Note You need to log in before you can comment on or make changes to this bug.